## darkradiant 2.13.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)

# Project name and version
project(darkradiant VERSION 2.13.0)

# C++ standard
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED True)

# Global compiler options and warnings (TODO: may need updating for CLang)
add_compile_options(-Werror=return-local-addr)

# GCC 8 and earlier require explicit linking against stdc++fs
if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU" AND CMAKE_CXX_COMPILER_VERSION VERSION_LESS 9)
	link_libraries(stdc++fs)
endif()

# Expose some build options
option(ENABLE_DM_PLUGINS "Build Dark Mod specific plugins" ON)
option(ENABLE_RELOCATION
       "Avoid hard-coded absolute paths to libraries or resources"
       ON)

# Define GNU-style directory structure by default
include(GNUInstallDirs)

# Set up core build paths
set(CORE_MODULE_LIBRARY "libradiantcore")
set(PKGDATADIR "${CMAKE_INSTALL_FULL_DATADIR}/darkradiant")
set(PKGLIBDIR "${CMAKE_INSTALL_FULL_LIBDIR}/darkradiant")
if (${ENABLE_RELOCATION})
    set(RELATIVE_LIBDIR "../${CMAKE_INSTALL_LIBDIR}/darkradiant")
else()
    set(HTMLDIR "${CMAKE_INSTALL_FULL_DATADIR}/doc/darkradiant")
endif()

# Build shared libraries by default
option(BUILD_SHARED_LIBS "Build shared libraries" ON)
if (${ENABLE_RELOCATION})
    set(CMAKE_INSTALL_RPATH "$ORIGIN/${RELATIVE_LIBDIR}")
else()
    set(CMAKE_INSTALL_RPATH "${PKGLIBDIR}")
endif()

# Debug or release mode
if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release)
endif()
add_compile_definitions(
    $<$<CONFIG:Debug>:_DEBUG>
    $<$<CONFIG:Release>:NDEBUG>
)

# Locate system packages
include(FindPkgConfig)
pkg_check_modules(XML libxml-2.0 REQUIRED)
pkg_check_modules(SIGC sigc++-2.0 REQUIRED)
pkg_check_modules(FTGL ftgl REQUIRED)
pkg_check_modules(FREETYPE freetype2 REQUIRED)
pkg_check_modules(XML libxml-2.0 REQUIRED)
pkg_check_modules(GL gl REQUIRED)
pkg_check_modules(GLEW glew REQUIRED)
pkg_check_modules(JPEG libjpeg REQUIRED)
pkg_check_modules(PNG libpng REQUIRED)
pkg_check_modules(AL openal REQUIRED)
pkg_check_modules(OGG ogg REQUIRED)
pkg_check_modules(VORBIS vorbisfile REQUIRED)
pkg_check_modules(X11 x11 REQUIRED)
pkg_check_modules(ZLIB zlib REQUIRED)
pkg_check_modules(GLIB glib-2.0 REQUIRED)
pkg_check_modules(EIGEN eigen3 REQUIRED)

# Locate wxWidgets
find_package(wxWidgets REQUIRED
             COMPONENTS base core stc adv gl xrc aui)
include(${wxWidgets_USE_FILE})

# Locate Python
find_package(Python REQUIRED COMPONENTS Development)

# Global includes and flags
include_directories(libs libs/libfmt include)
add_compile_definitions(POSIX
                        WXINTL_NO_GETTEXT_MACRO
                        FMT_HEADER_ONLY
                        HAVE_STD_FILESYSTEM)
add_link_options(LINKER:-z,defs)

# Generate config.h
configure_file(config.h.in config.h)
add_compile_definitions(HAVE_CONFIG_H)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

# Supporting libraries
add_subdirectory(libs/math)
add_subdirectory(libs/xmlutil)
add_subdirectory(libs/scene)
add_subdirectory(libs/wxutil)
add_subdirectory(libs/module)

# Mandatory modules
add_subdirectory(plugins/script)
add_subdirectory(plugins/sound)

pkg_check_modules(LIBGIT libgit2)
if (${LIBGIT_FOUND})
    add_subdirectory(plugins/vcs)
endif()

# Dark Mod plugins
if (${ENABLE_DM_PLUGINS})
    add_subdirectory(plugins/dm.conversation)
    add_subdirectory(plugins/dm.stimresponse)
    add_subdirectory(plugins/dm.objectives)
    add_subdirectory(plugins/dm.difficulty)
    add_subdirectory(plugins/dm.editing)
    add_subdirectory(plugins/dm.gui)
    add_subdirectory(plugins/dm.gameconnection)
endif()

# Main radiant components
add_subdirectory(radiantcore)
add_subdirectory(radiant)

# Tests
pkg_check_modules(GTEST gtest)
pkg_check_modules(GTEST_MAIN gtest_main)
if (${GTEST_FOUND} AND ${GTEST_MAIN_FOUND})
    include(CTest)
    add_subdirectory(test)
endif()

# Documentation
find_program(ASCIIDOCTOR asciidoctor)
if (ASCIIDOCTOR)
    add_subdirectory(doc)
else()
    message(WARNING "asciidoctor not found; documentation will not be generated")
endif()

# Install main targets
install(TARGETS darkradiant math xmlutil scenegraph wxutil
        RUNTIME DESTINATION bin
        LIBRARY DESTINATION ${PKGLIBDIR})
install(TARGETS radiantcore script sound
        LIBRARY DESTINATION ${PKGLIBDIR}/modules)

# Install Dark Mod plugins
if (${ENABLE_DM_PLUGINS})
    install(TARGETS dm_stimresponse dm_objectives dm_difficulty dm_editing
                    dm_gui dm_gameconnection dm_conversation
            LIBRARY DESTINATION ${PKGLIBDIR}/plugins)
endif()

if (${LIBGIT_FOUND})
    install(TARGETS vcs 
            LIBRARY DESTINATION ${PKGLIBDIR}/plugins)
endif()

# Generate and install the .desktop file
configure_file(install/darkradiant.desktop.in install/darkradiant.desktop)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/install/darkradiant.desktop
        DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)

# Install resources
file(GLOB XML_FILES "${PROJECT_SOURCE_DIR}/install/*.xml")
install(FILES ${XML_FILES} DESTINATION ${PKGDATADIR})

install(DIRECTORY install/games DESTINATION ${PKGDATADIR})
install(DIRECTORY install/bitmaps DESTINATION ${PKGDATADIR})
install(DIRECTORY install/gl DESTINATION ${PKGDATADIR})
install(DIRECTORY install/ui DESTINATION ${PKGDATADIR}
        FILES_MATCHING PATTERN "*.ttf" PATTERN "*.xrc")
install(DIRECTORY install/resources DESTINATION ${PKGDATADIR})

# Install locale data
if (${CMAKE_VERSION} VERSION_GREATER_EQUAL "3.14")
# CMake 3.14 and above support TYPE LOCALE, they deduct DESTINATION themselves
install(DIRECTORY install/i18n/de TYPE LOCALE
        FILES_MATCHING PATTERN "*.mo")
else()
install(DIRECTORY install/i18n/de DESTINATION ${CMAKE_INSTALL_LOCALEDIR}
        FILES_MATCHING PATTERN "*.mo")
endif()

# Install scripts
install(DIRECTORY install/scripts DESTINATION ${PKGDATADIR}
        FILES_MATCHING PATTERN "*.py")

=== radiant/CMakeLists.txt ===
add_executable(darkradiant
               camera/CameraSettings.cpp
               camera/CamWnd.cpp
               camera/FloatingCamWnd.cpp
               camera/CameraWndManager.cpp
               clipboard/ClipboardModule.cpp
               eventmanager/Accelerator.cpp
               eventmanager/EventManager.cpp
               eventmanager/GlobalKeyEventFilter.cpp
               eventmanager/MouseToolGroup.cpp
               eventmanager/MouseToolManager.cpp
               eventmanager/Statement.cpp
               eventmanager/Toggle.cpp
               eventmanager/WidgetToggle.cpp
               log/Console.cpp
               main.cpp
               map/AutoSaver.cpp
               map/StartupMapLoader.cpp
               RadiantApp.cpp
               selection/ManipulateMouseTool.cpp
               selection/SelectionMouseTools.cpp
               settings/LocalisationModule.cpp
               settings/LocalisationProvider.cpp
               settings/Win32Registry.cpp
               textool/item/BrushItem.cpp
               textool/item/FaceItem.cpp
               textool/item/FaceVertexItem.cpp
               textool/item/PatchItem.cpp
               textool/item/PatchVertexItem.cpp
               textool/TexTool.cpp
               textool/TexToolItem.cpp
               ui/aas/AasControl.cpp
               ui/aas/AasControlDialog.cpp
               ui/aas/RenderableAasFile.cpp
               ui/about/AboutDialog.cpp
               ui/brush/FindBrush.cpp
               ui/brush/QuerySidesDialog.cpp
               ui/commandlist/CommandList.cpp
               ui/commandlist/ShortcutChooser.cpp
               ui/common/CommandEntry.cpp
               ui/common/DefinitionView.cpp
               ui/common/EntityChooser.cpp
               ui/common/ImageFilePopulator.cpp
               ui/common/ImageFileSelector.cpp
               ui/common/MapPreview.cpp
               ui/common/RenderableAABB.cpp
               ui/common/ShaderChooser.cpp
               ui/common/ShaderSelector.cpp
               ui/common/SoundShaderDefinitionView.cpp
               ui/common/TexturePreviewCombo.cpp
               ui/common/SoundChooser.cpp
               ui/common/SoundShaderPreview.cpp
               ui/DispatchEvent.cpp
               ui/Documentation.cpp
               ui/eclasstree/EClassTreeBuilder.cpp
               ui/eclasstree/EClassTree.cpp
               ui/einspector/AddPropertyDialog.cpp
               ui/einspector/AnglePropertyEditor.cpp
               ui/einspector/BooleanPropertyEditor.cpp
               ui/einspector/ClassnamePropertyEditor.cpp
               ui/einspector/ColourPropertyEditor.cpp
               ui/einspector/EntityInspector.cpp
               ui/einspector/EntityPropertyEditor.cpp
               ui/einspector/FloatPropertyEditor.cpp
               ui/einspector/LightTextureChooser.cpp
               ui/einspector/ModelPropertyEditor.cpp
               ui/einspector/PropertyEditor.cpp
               ui/einspector/PropertyEditorFactory.cpp
               ui/einspector/SkinChooser.cpp
               ui/einspector/SkinPropertyEditor.cpp
               ui/einspector/SoundPropertyEditor.cpp
               ui/einspector/TexturePropertyEditor.cpp
               ui/einspector/Vector3PropertyEditor.cpp
               ui/entitylist/EntityList.cpp
               ui/entitylist/GraphTreeModel.cpp
               ui/favourites/FavouritesBrowser.cpp
               ui/favourites/FavouritesUserInterfaceModule.cpp
               ui/filters/editor/FilterDialog.cpp
               ui/filters/editor/FilterEditor.cpp
               ui/filters/FilterContextMenu.cpp
               ui/filters/FilterOrthoContextMenuItem.cpp
               ui/filters/FiltersMainMenu.cpp
               ui/filters/FilterUserInterface.cpp
               ui/findshader/FindShader.cpp
               ui/gl/WxGLWidgetManager.cpp
               ui/grid/GridUserInterface.cpp
               ui/layers/CreateLayerDialog.cpp
               ui/layers/LayerContextMenu.cpp
               ui/layers/LayerControl.cpp
               ui/layers/LayerControlDialog.cpp
               ui/layers/LayerOrthoContextMenuItem.cpp
               ui/lightinspector/LightInspector.cpp
               ui/LongRunningOperationHandler.cpp
               ui/mainframe/AuiLayout.cpp
               ui/mainframe/EmbeddedLayout.cpp
               ui/mainframe/FloatingLayout.cpp
               ui/mainframe/MainFrame.cpp
               ui/mainframe/MainFrameLayoutManager.cpp
               ui/mainframe/RegularLayout.cpp
               ui/mainframe/ScreenUpdateBlocker.cpp
               ui/mainframe/SplitPaneLayout.cpp
               ui/mainframe/TopLevelFrame.cpp
               ui/mapselector/MapSelector.cpp
               ui/materials/MaterialDefinitionView.cpp
               ui/materials/editor/MaterialEditor.cpp
               ui/materials/editor/MaterialEditorModule.cpp
               ui/materials/editor/MaterialPreview.cpp
               ui/materials/MaterialPopulator.cpp
               ui/materials/MaterialTreeView.cpp
               ui/merge/MergeControlDialog.cpp
               ui/animationpreview/AnimationPreview.cpp
               ui/animationpreview/MD5AnimationChooser.cpp
               ui/animationpreview/MD5AnimationViewer.cpp
               ui/colourscheme/ColourSchemeEditor.cpp
               ui/common/DialogManager.cpp
               ui/groupdialog/GroupDialog.cpp
               ui/groupdialog/GroupDialogManager.cpp
               ui/menu/MenuBar.cpp
               ui/menu/MenuElement.cpp
               ui/menu/MenuFolder.cpp
               ui/menu/MenuItem.cpp
               ui/menu/MenuManager.cpp
               ui/menu/MenuSeparator.cpp
               ui/toolbar/ToolbarManager.cpp
               ui/MapCommands.cpp
               ui/MapFileProgressHandler.cpp
               ui/mapinfo/EntityInfoTab.cpp
               ui/mapinfo/LayerInfoTab.cpp
               ui/mapinfo/MapInfoDialog.cpp
               ui/mapinfo/ModelInfoTab.cpp
               ui/mapinfo/ShaderInfoTab.cpp
               ui/mediabrowser/MediaBrowser.cpp
               ui/mediabrowser/MediaBrowserTreeView.cpp
               ui/modelexport/ExportAsModelDialog.cpp
               ui/modelexport/ExportCollisionModelDialog.cpp
               ui/modelselector/MaterialsList.cpp
               ui/modelselector/ModelSelector.cpp
               ui/modelselector/ModelTreeView.cpp
               ui/mousetool/BindToolDialog.cpp
               ui/mousetool/ToolMappingDialog.cpp
               ui/ortho/OrthoContextMenu.cpp
               ui/overlay/Overlay.cpp
               ui/overlay/OverlayDialog.cpp
               ui/particles/ParticleEditor.cpp
               ui/particles/ParticlesChooser.cpp
               ui/patch/BulgePatchDialog.cpp
               ui/patch/CapDialog.cpp
               ui/patch/PatchCreateDialog.cpp
               ui/patch/PatchInspector.cpp
               ui/patch/PatchThickenDialog.cpp
               ui/PointFileChooser.cpp
               ui/prefabselector/PrefabSelector.cpp
               ui/prefdialog/GameSetupDialog.cpp
               ui/prefdialog/GameSetupPage.cpp
               ui/prefdialog/GameSetupPageIdTech.cpp
               ui/prefdialog/GameSetupPageTdm.cpp
               ui/prefdialog/PrefDialog.cpp
               ui/prefdialog/PreferenceItem.cpp
               ui/prefdialog/PrefPage.cpp
               ui/script/ScriptMenu.cpp
               ui/script/ScriptUserInterfaceModule.cpp
               ui/script/ScriptWindow.cpp
               ui/selectionset/SelectionSetToolmenu.cpp
               ui/splash/Splash.cpp
               ui/statusbar/EditingStopwatchStatus.cpp
               ui/statusbar/MapStatistics.cpp
               ui/statusbar/StatusBarManager.cpp
               ui/surfaceinspector/SurfaceInspector.cpp
               ui/texturebrowser/TextureBrowser.cpp
               ui/texturebrowser/TextureBrowserManager.cpp
               ui/toolbar/ToolbarManager.cpp
               ui/transform/TransformDialog.cpp
               ui/UserInterfaceModule.cpp
               xyview/FloatingOrthoView.cpp
               xyview/GlobalXYWnd.cpp
               xyview/tools/BrushCreatorTool.cpp
               xyview/tools/ClipperTool.cpp
               xyview/tools/MeasurementTool.cpp
               xyview/XYWnd.cpp)
target_compile_options(darkradiant PRIVATE ${SIGC_CFLAGS} ${FREETYPE_CFLAGS} ${GLIB_CFLAGS})
target_include_directories(darkradiant PRIVATE .)
target_link_libraries(darkradiant PRIVATE
                      math xmlutil scenegraph wxutil module
                      ${GLIB_LIBRARIES})

# Enable precompiled header for radiant
if (${CMAKE_VERSION} VERSION_GREATER_EQUAL "3.16.0")
target_precompile_headers(darkradiant PRIVATE
                          "$<$<COMPILE_LANGUAGE:CXX>:precompiled.h>")
endif()

=== radiantcore/CMakeLists.txt ===
# libradiantcore.so is already in the lib/darkradiant/modules directory, so the
# utility libraries are one directory level above
set(CMAKE_INSTALL_RPATH "$ORIGIN/..")

add_library(radiantcore MODULE
            brush/Brush.cpp
            brush/BrushModule.cpp
            brush/BrushNode.cpp
            brush/csg/CSG.cpp
            brush/export/CollisionModel.cpp
            brush/Face.cpp
            brush/FaceInstance.cpp
            brush/FacePlane.cpp
            brush/FixedWinding.cpp
            brush/TexDef.cpp
            brush/TextureMatrix.cpp
            brush/TextureProjection.cpp
            brush/Winding.cpp
            camera/Camera.cpp
            camera/CameraManager.cpp
            clipper/BrushByPlaneClipper.cpp
            clipper/Clipper.cpp
            clipper/ClipPoint.cpp
            clipper/SplitAlgorithm.cpp
            commandsystem/CommandSystem.cpp
            decl/FavouritesManager.cpp
            eclass/EntityClass.cpp
            eclass/EClassColourManager.cpp
            eclass/EClassManager.cpp
            entity/AngleKey.cpp
            entity/AttachmentData.cpp
            entity/curve/CurveCatmullRom.cpp
            entity/curve/Curve.cpp
            entity/curve/CurveEditInstance.cpp
            entity/curve/CurveNURBS.cpp
            entity/SpawnArgs.cpp
            entity/doom3group/Doom3Group.cpp
            entity/doom3group/Doom3GroupNode.cpp
            entity/eclassmodel/EclassModelNode.cpp
            entity/EntityModule.cpp
            entity/EntityNode.cpp
            entity/EntitySettings.cpp
            entity/generic/GenericEntityNode.cpp
            entity/KeyValue.cpp
            entity/KeyValueObserver.cpp
            entity/light/Light.cpp
            entity/light/LightNode.cpp
            entity/light/Renderables.cpp
            entity/ModelKey.cpp
            entity/NameKeyObserver.cpp
            entity/NamespaceManager.cpp
            entity/RotationKey.cpp
            entity/RotationMatrix.cpp
            entity/ShaderParms.cpp
            entity/speaker/SpeakerNode.cpp
            entity/speaker/SpeakerRenderables.cpp
            entity/target/TargetableNode.cpp
            entity/target/TargetKeyCollection.cpp
            entity/target/TargetKey.cpp
            entity/target/TargetLineNode.cpp
            entity/target/TargetManager.cpp
            filetypes/FileTypeRegistry.cpp
            filters/BasicFilterSystem.cpp
            filters/XMLFilter.cpp
            filters/XmlFilterEventAdapter.cpp
            fonts/FontLoader.cpp
            fonts/FontManager.cpp
            fonts/GlyphInfo.cpp
            fonts/GlyphSet.cpp
            grid/GridManager.cpp
            imagefile/BMPLoader.cpp
            imagefile/dds.cpp
            imagefile/ddslib.cpp
            imagefile/ImageLoader.cpp
            imagefile/JPEGLoader.cpp
            imagefile/PNGLoader.cpp
            imagefile/TGALoader.cpp
            layers/LayerInfoFileModule.cpp
            layers/LayerManager.cpp
            layers/LayerModule.cpp
            log/COutRedirector.cpp
            log/LogFile.cpp
            log/LogStreamBuf.cpp
            log/LogStream.cpp
            log/LogWriter.cpp
            log/SegFaultHandler.cpp
            log/StringLogDevice.cpp
            map/aas/AasFileManager.cpp
            map/aas/Doom3AasFile.cpp
            map/aas/Doom3AasFileLoader.cpp
            map/aas/Doom3AasFileSettings.cpp
            map/algorithm/Export.cpp
            map/algorithm/Import.cpp
            map/algorithm/MapExporter.cpp
            map/algorithm/MapImporter.cpp
            map/algorithm/Models.cpp
            map/algorithm/Skins.cpp
            map/ArchivedMapResource.cpp
            map/CounterManager.cpp
            map/EditingStopwatch.cpp
            map/EditingStopwatchInfoFileModule.cpp
            map/format/Doom3MapFormat.cpp
            map/format/Doom3MapReader.cpp
            map/format/Doom3MapWriter.cpp
            map/format/Doom3PrefabFormat.cpp
            map/format/MapFormatManager.cpp
            map/format/portable/PortableMapFormat.cpp
            map/format/portable/PortableMapReader.cpp
            map/format/portable/PortableMapWriter.cpp
            map/format/primitiveparsers/BrushDef3.cpp
            map/format/primitiveparsers/BrushDef.cpp
            map/format/primitiveparsers/Patch.cpp
            map/format/primitiveparsers/PatchDef2.cpp
            map/format/primitiveparsers/PatchDef3.cpp
            map/format/Quake3MapFormat.cpp
            map/format/Quake3MapReader.cpp
            map/format/Quake4MapFormat.cpp
            map/format/Quake4MapReader.cpp
            map/infofile/InfoFile.cpp
            map/infofile/InfoFileExporter.cpp
            map/infofile/InfoFileManager.cpp
            map/Map.cpp
            map/MapFileManager.cpp
            map/MapModules.cpp
            map/MapPosition.cpp
            map/MapPositionManager.cpp
            map/MapPropertyInfoFileModule.cpp
            map/MapResource.cpp
            map/MapResourceLoader.cpp
            map/MapResourceManager.cpp
            map/mru/MRU.cpp
            map/namespace/ComplexName.cpp
            map/namespace/Namespace.cpp
            map/namespace/NamespaceFactory.cpp
            map/PointFile.cpp
            map/RegionManager.cpp
            map/RootNode.cpp
            map/VcsMapResource.cpp
            model/export/AseExporter.cpp
            model/export/Lwo2Chunk.cpp
            model/export/Lwo2Exporter.cpp
            model/export/ModelExporter.cpp
            model/export/ModelScalePreserver.cpp
            model/export/PatchSurface.cpp
            model/export/ScaledModelExporter.cpp
            model/export/WavefrontExporter.cpp
            model/md5/MD5AnimationCache.cpp
            model/md5/MD5Anim.cpp
            model/md5/MD5Model.cpp
            model/md5/MD5ModelLoader.cpp
            model/md5/MD5ModelNode.cpp
            model/md5/MD5Module.cpp
            model/md5/MD5Skeleton.cpp
            model/md5/MD5Surface.cpp
            model/ModelCache.cpp
            model/ModelFormatManager.cpp
            model/NullModel.cpp
            model/NullModelNode.cpp
            model/import/AseModel.cpp
            model/import/AseModelLoader.cpp
            model/import/ModelImporterBase.cpp
            model/picomodel/PicoModelLoader.cpp
            model/picomodel/PicoModelModule.cpp
            model/StaticModel.cpp
            model/StaticModelNode.cpp
            model/StaticModelSurface.cpp
            model/picomodel/lib/lwo/clip.c
            model/picomodel/lib/lwo/envelope.c
            model/picomodel/lib/lwo/list.c
            model/picomodel/lib/lwo/lwio.c
            model/picomodel/lib/lwo/lwo2.c
            model/picomodel/lib/lwo/lwob.c
            model/picomodel/lib/lwo/pntspols.c
            model/picomodel/lib/lwo/surface.c
            model/picomodel/lib/lwo/vecmath.c
            model/picomodel/lib/lwo/vmap.c
            model/picomodel/lib/picointernal.c
            model/picomodel/lib/picomodel.c
            model/picomodel/lib/picomodules.c
            model/picomodel/lib/pm_3ds.c
            model/picomodel/lib/pm_fm.c
            model/picomodel/lib/pm_lwo.c
            model/picomodel/lib/pm_md2.c
            model/picomodel/lib/pm_md3.c
            model/picomodel/lib/pm_mdc.c
            model/picomodel/lib/pm_ms3d.c
            model/picomodel/lib/pm_obj.c
            model/picomodel/lib/pm_terrain.c
            modulesystem/ModuleLoader.cpp
            modulesystem/ModuleRegistry.cpp
            particles/ParticleDef.cpp
            particles/ParticleNode.cpp
            particles/ParticleParameter.cpp
            particles/ParticlesManager.cpp
            particles/RenderableParticleBunch.cpp
            particles/RenderableParticle.cpp
            particles/RenderableParticleStage.cpp
            particles/StageDef.cpp
            patch/algorithm/General.cpp
            patch/algorithm/Prefab.cpp
            patch/Patch.cpp
            patch/PatchModule.cpp
            patch/PatchNode.cpp
            patch/PatchRenderables.cpp
            patch/PatchTesselation.cpp
            Radiant.cpp
            rendersystem/backend/GLProgramFactory.cpp
            rendersystem/backend/glprogram/GenericVFPProgram.cpp
            rendersystem/backend/glprogram/GLSLProgramBase.cpp
            rendersystem/backend/glprogram/GLSLBumpProgram.cpp
            rendersystem/backend/glprogram/GLSLDepthFillProgram.cpp
            rendersystem/backend/glprogram/GLSLDepthFillAlphaProgram.cpp
            rendersystem/backend/OpenGLShader.cpp
            rendersystem/backend/OpenGLShaderPass.cpp
            rendersystem/backend/DepthFillPass.cpp
            rendersystem/debug/SpacePartitionRenderer.cpp
            rendersystem/GLFont.cpp
            rendersystem/OpenGLModule.cpp
            rendersystem/OpenGLRenderSystem.cpp
            rendersystem/RenderSystemFactory.cpp
            rendersystem/SharedOpenGLContextModule.cpp
            scenegraph/Octree.cpp
            scenegraph/SceneGraph.cpp
            scenegraph/SceneGraphFactory.cpp
            selection/algorithm/Curves.cpp
            selection/algorithm/Entity.cpp
            selection/algorithm/General.cpp
            selection/algorithm/Group.cpp
            selection/algorithm/GroupCycle.cpp
            selection/algorithm/Patch.cpp
            selection/algorithm/Planes.cpp
            selection/algorithm/Primitives.cpp
            selection/algorithm/Shader.cpp
            selection/algorithm/Transformation.cpp
            selection/clipboard/Clipboard.cpp
            selection/group/SelectionGroupInfoFileModule.cpp
            selection/group/SelectionGroupManager.cpp
            selection/group/SelectionGroupModule.cpp
            selection/ManipulationPivot.cpp
            selection/manipulators/DragManipulator.cpp
            selection/manipulators/ManipulatorBase.cpp
            selection/manipulators/ManipulatorComponents.cpp
            selection/manipulators/ModelScaleManipulator.cpp
            selection/manipulators/RotateManipulator.cpp
            selection/manipulators/ScaleManipulator.cpp
            selection/manipulators/TranslateManipulator.cpp
            selection/RadiantSelectionSystem.cpp
            selection/SelectedNodeList.cpp
            selection/selectionset/SelectionSet.cpp
            selection/selectionset/SelectionSetInfoFileModule.cpp
            selection/selectionset/SelectionSetManager.cpp
            selection/selectionset/SelectionSetModule.cpp
            selection/SelectionTestWalkers.cpp
            selection/shaderclipboard/ClosestTexturableFinder.cpp
            selection/shaderclipboard/ShaderClipboard.cpp
            selection/shaderclipboard/Texturable.cpp
            selection/TransformationVisitors.cpp
            settings/ColourScheme.cpp
            settings/ColourSchemeManager.cpp
            settings/Game.cpp
            settings/GameManager.cpp
            settings/LanguageManager.cpp
            settings/PreferencePage.cpp
            settings/PreferenceSystem.cpp
            shaders/CameraCubeMapDecl.cpp
            shaders/CShader.cpp
            shaders/Doom3ShaderLayer.cpp
            shaders/Doom3ShaderSystem.cpp
            shaders/ExpressionSlots.cpp
            shaders/MapExpression.cpp
            shaders/MaterialSourceGenerator.cpp
            shaders/ShaderExpression.cpp
            shaders/ShaderLibrary.cpp
            shaders/ShaderTemplate.cpp
            shaders/TableDefinition.cpp
            shaders/TextureMatrix.cpp
            shaders/textures/GLTextureManager.cpp
            shaders/textures/TextureManipulator.cpp
            skins/Doom3SkinCache.cpp
            undo/UndoSystem.cpp
            versioncontrol/VersionControlManager.cpp
            vfs/DeflatedInputStream.cpp
            vfs/DirectoryArchive.cpp
            vfs/Doom3FileSystem.cpp
            vfs/Doom3FileSystemModule.cpp
            vfs/ZipArchive.cpp

=== test/CMakeLists.txt ===
include(GoogleTest)

add_executable(drtest
               Basic.cpp
               Brush.cpp
               Camera.cpp
               ColourSchemes.cpp
               CSG.cpp
               Entity.cpp
               Favourites.cpp
               FileTypes.cpp
               HeadlessOpenGLContext.cpp
               ImageLoading.cpp
               LayerManipulation.cpp
               MapExport.cpp
               MapMerging.cpp
               MapSavingLoading.cpp
               MaterialExport.cpp
               Materials.cpp
               math/Matrix4.cpp
               math/Plane3.cpp
               math/Quaternion.cpp
               math/Vector.cpp
               MessageBus.cpp
               ModelExport.cpp
               ModelScale.cpp
               Models.cpp
               PatchIterators.cpp
               PatchWelding.cpp
               PointTrace.cpp
               Prefabs.cpp
               Renderer.cpp
               SelectionAlgorithm.cpp
               Selection.cpp
               Transformation.cpp
               VFS.cpp
               WorldspawnColour.cpp)

find_package(Threads REQUIRED)

target_compile_options(drtest PUBLIC ${SIGC_CFLAGS})

# Set up the paths such that the drtest executable can find the test resources
# and the core binary in the build workspace (in install/ and test/resources/)
get_filename_component(TEST_BASE_PATH "./" ABSOLUTE)
add_compile_definitions(TEST_BASE_PATH="${TEST_BASE_PATH}")

target_link_libraries(drtest PUBLIC
                      math xmlutil scenegraph module
                      ${GTEST_LIBRARIES} ${GTEST_MAIN_LIBRARIES}
                      ${SIGC_LIBRARIES} ${GLEW_LIBRARIES} ${X11_LIBRARIES}
                      PRIVATE Threads::Threads)
install(TARGETS drtest)

gtest_discover_tests(drtest)

## darkradiant 2.14.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,11 @@
 cmake_minimum_required(VERSION 3.12)
 
 # Project name and version
-project(darkradiant VERSION 2.13.0)
+project(darkradiant VERSION 2.14.0)
 
 # C++ standard
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED True)
-
-# Global compiler options and warnings (TODO: may need updating for CLang)
-add_compile_options(-Werror=return-local-addr)
 
 # GCC 8 and earlier require explicit linking against stdc++fs
 if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU" AND CMAKE_CXX_COMPILER_VERSION VERSION_LESS 9)
@@ -153,7 +150,7 @@
 endif()
 
 if (${LIBGIT_FOUND})
-    install(TARGETS vcs 
+    install(TARGETS vcs
             LIBRARY DESTINATION ${PKGLIBDIR}/plugins)
 endif()

=== doc/CMakeLists.txt ===
add_custom_command(OUTPUT manual.html
                   COMMAND ${ASCIIDOCTOR} ARGS -a stylesheet=manual.css -D ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/manual.adoc
                   DEPENDS manual.adoc)
add_custom_target(doc ALL DEPENDS manual.html)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/manual.html
        DESTINATION ${CMAKE_INSTALL_DOCDIR})
install(DIRECTORY img
        DESTINATION ${CMAKE_INSTALL_DOCDIR}
        FILES_MATCHING PATTERN "*.png")

=== radiant/CMakeLists.txt ===
--- 
+++ 
@@ -14,21 +14,17 @@
                eventmanager/WidgetToggle.cpp
                log/Console.cpp
                main.cpp
-               map/AutoSaver.cpp
+               map/AutoSaveTimer.cpp
                map/StartupMapLoader.cpp
                RadiantApp.cpp
+               selection/SceneManipulateMouseTool.cpp
                selection/ManipulateMouseTool.cpp
                selection/SelectionMouseTools.cpp
                settings/LocalisationModule.cpp
                settings/LocalisationProvider.cpp
                settings/Win32Registry.cpp
-               textool/item/BrushItem.cpp
-               textool/item/FaceItem.cpp
-               textool/item/FaceVertexItem.cpp
-               textool/item/PatchItem.cpp
-               textool/item/PatchVertexItem.cpp
+               textool/tools/TextureToolManipulateMouseTool.cpp
                textool/TexTool.cpp
-               textool/TexToolItem.cpp
                ui/aas/AasControl.cpp
                ui/aas/AasControlDialog.cpp
                ui/aas/RenderableAasFile.cpp
@@ -93,7 +89,6 @@
                ui/LongRunningOperationHandler.cpp
                ui/mainframe/AuiLayout.cpp
                ui/mainframe/EmbeddedLayout.cpp
-               ui/mainframe/FloatingLayout.cpp
                ui/mainframe/MainFrame.cpp
                ui/mainframe/MainFrameLayoutManager.cpp
                ui/mainframe/RegularLayout.cpp
@@ -131,6 +126,7 @@
                ui/mapinfo/ShaderInfoTab.cpp
                ui/mediabrowser/MediaBrowser.cpp
                ui/mediabrowser/MediaBrowserTreeView.cpp
+               ui/modelexport/ConvertModelDialog.cpp
                ui/modelexport/ExportAsModelDialog.cpp
                ui/modelexport/ExportCollisionModelDialog.cpp
                ui/modelselector/MaterialsList.cpp
@@ -162,6 +158,7 @@
                ui/script/ScriptWindow.cpp
                ui/selectionset/SelectionSetToolmenu.cpp
                ui/splash/Splash.cpp
+               ui/statusbar/CommandStatus.cpp
                ui/statusbar/EditingStopwatchStatus.cpp
                ui/statusbar/MapStatistics.cpp
                ui/statusbar/StatusBarManager.cpp

=== radiantcore/CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,6 @@
             brush/FaceInstance.cpp
             brush/FacePlane.cpp
             brush/FixedWinding.cpp
-            brush/TexDef.cpp
             brush/TextureMatrix.cpp
             brush/TextureProjection.cpp
             brush/Winding.cpp
@@ -95,6 +94,7 @@
             map/algorithm/MapImporter.cpp
             map/algorithm/Models.cpp
             map/algorithm/Skins.cpp
+            map/autosaver/AutoSaver.cpp
             map/ArchivedMapResource.cpp
             map/CounterManager.cpp
             map/EditingStopwatch.cpp
@@ -159,6 +159,8 @@
             model/import/AseModel.cpp
             model/import/AseModelLoader.cpp
             model/import/ModelImporterBase.cpp
+            model/import/openfbx/ofbx.cpp
+            model/import/FbxModelLoader.cpp
             model/picomodel/PicoModelLoader.cpp
             model/picomodel/PicoModelModule.cpp
             model/StaticModel.cpp
@@ -179,6 +181,7 @@
             model/picomodel/lib/picomodules.c
             model/picomodel/lib/pm_3ds.c
             model/picomodel/lib/pm_fm.c
+            model/picomodel/lib/pm_iqm.c
             model/picomodel/lib/pm_lwo.c
             model/picomodel/lib/pm_md2.c
             model/picomodel/lib/pm_md3.c
@@ -231,12 +234,14 @@
             selection/algorithm/Planes.cpp
             selection/algorithm/Primitives.cpp
             selection/algorithm/Shader.cpp
+            selection/algorithm/Texturing.cpp
             selection/algorithm/Transformation.cpp
             selection/clipboard/Clipboard.cpp
             selection/group/SelectionGroupInfoFileModule.cpp
             selection/group/SelectionGroupManager.cpp
             selection/group/SelectionGroupModule.cpp
             selection/ManipulationPivot.cpp
+            selection/SceneManipulationPivot.cpp
             selection/manipulators/DragManipulator.cpp
             selection/manipulators/ManipulatorBase.cpp
             selection/manipulators/ManipulatorComponents.cpp
@@ -254,6 +259,15 @@
             selection/shaderclipboard/ClosestTexturableFinder.cpp
             selection/shaderclipboard/ShaderClipboard.cpp
             selection/shaderclipboard/Texturable.cpp
+            selection/textool/ColourSchemeManager.cpp
+            selection/textool/FaceNode.cpp
+            selection/textool/Node.cpp
+            selection/textool/PatchNode.cpp
+            selection/textool/TextureToolManipulationPivot.cpp
+            selection/textool/TextureToolDragManipulator.cpp
+            selection/textool/TextureToolRotateManipulator.cpp
+            selection/textool/TextureToolSceneGraph.cpp
+            selection/textool/TextureToolSelectionSystem.cpp
             selection/TransformationVisitors.cpp
             settings/ColourScheme.cpp
             settings/ColourSchemeManager.cpp
@@ -267,20 +281,3 @@
             shaders/Doom3ShaderLayer.cpp
             shaders/Doom3ShaderSystem.cpp
             shaders/ExpressionSlots.cpp
-            shaders/MapExpression.cpp
-            shaders/MaterialSourceGenerator.cpp
-            shaders/ShaderExpression.cpp
-            shaders/ShaderLibrary.cpp
-            shaders/ShaderTemplate.cpp
-            shaders/TableDefinition.cpp
-            shaders/TextureMatrix.cpp
-            shaders/textures/GLTextureManager.cpp
-            shaders/textures/TextureManipulator.cpp
-            skins/Doom3SkinCache.cpp
-            undo/UndoSystem.cpp
-            versioncontrol/VersionControlManager.cpp
-            vfs/DeflatedInputStream.cpp
-            vfs/DirectoryArchive.cpp
-            vfs/Doom3FileSystem.cpp
-            vfs/Doom3FileSystemModule.cpp
-            vfs/ZipArchive.cpp

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,7 @@
                Entity.cpp
                Favourites.cpp
                FileTypes.cpp
+               Grid.cpp
                HeadlessOpenGLContext.cpp
                ImageLoading.cpp
                LayerManipulation.cpp
@@ -17,6 +18,7 @@
                MapSavingLoading.cpp
                MaterialExport.cpp
                Materials.cpp
+               math/Matrix3.cpp
                math/Matrix4.cpp
                math/Plane3.cpp
                math/Quaternion.cpp
@@ -32,7 +34,10 @@
                Renderer.cpp
                SelectionAlgorithm.cpp
                Selection.cpp
+               TextureManipulation.cpp
+               TextureTool.cpp
                Transformation.cpp
+               UndoRedo.cpp
                VFS.cpp
                WorldspawnColour.cpp)

=== libs/module/CMakeLists.txt ===
add_library(module STATIC
            ApplicationContextBase.cpp
            CoreModule.cpp
            DynamicLibrary.cpp
            StaticModule.cpp)
target_compile_options(module PUBLIC -fPIC ${SIGC_CFLAGS} ${EIGEN_CFLAGS})
target_link_libraries(module PUBLIC dl)

=== libs/wxutil/CMakeLists.txt ===
add_library(wxutil
            ConsoleView.cpp
            dataview/KeyValueTable.cpp
            dataview/ResourceTreeView.cpp
            dataview/ResourceTreeViewToolbar.cpp
            dataview/ThreadedResourceTreePopulator.cpp
            dataview/TreeModel.cpp
            dataview/TreeModelFilter.cpp
            dataview/TreeView.cpp
            dataview/VFSTreePopulator.cpp
            dialog/DialogBase.cpp
            dialog/Dialog.cpp
            dialog/MessageBox.cpp
            fsview/FileSystemView.cpp
            fsview/Populator.cpp
            DirChooser.cpp
            EntityClassChooser.cpp
            FileChooser.cpp
            FreezePointer.cpp
            GLWidget.cpp
            menu/PopupMenu.cpp
            menu/FilterPopupMenu.cpp
            ModalProgressDialog.cpp
            MouseToolHandler.cpp
            PanedPosition.cpp
            PathEntry.cpp
            preview/GuiRenderer.cpp
            preview/GuiView.cpp
            preview/ModelPreview.cpp
            preview/ParticlePreview.cpp
            preview/RenderPreview.cpp
            SerialisableWidgets.cpp
            SourceView.cpp
            Splitter.cpp
            WindowPosition.cpp
            window/TransientWindow.cpp)
target_compile_options(wxutil PUBLIC ${SIGC_CFLAGS} ${FTGL_CFLAGS})
target_link_libraries(wxutil PUBLIC
                      math
                      scenegraph
                      xmlutil
                      ${wxWidgets_LIBRARIES}
                      ${SIGC_LIBRARIES}
                      ${FTGL_LIBRARIES}
                      ${GLEW_LIBRARIES}
                      ${GL_LIBRARIES})

=== libs/xmlutil/CMakeLists.txt ===
add_library(xmlutil
            Document.cpp Node.cpp)
target_compile_options(xmlutil PUBLIC ${XML_CFLAGS})
target_link_libraries(xmlutil PUBLIC ${XML_LIBRARIES})

=== plugins/dm.gameconnection/CMakeLists.txt ===
add_library(dm_gameconnection MODULE
            clsocket/ActiveSocket.cpp
            clsocket/PassiveSocket.cpp
            clsocket/SimpleSocket.cpp
            GameConnectionDialog.cpp
            DiffDoom3MapWriter.cpp
            AutomationEngine.cpp
            GameConnection.cpp
            MapObserver.cpp
            MessageTcp.cpp)
target_compile_options(dm_gameconnection PUBLIC ${SIGC_CFLAGS})
target_link_libraries(dm_gameconnection PUBLIC wxutil)

file(GLOB PNG_FILES "*.png")
install(FILES ${PNG_FILES} DESTINATION ${PKGDATADIR}/bitmaps)

=== plugins/dm.stimresponse/CMakeLists.txt ===
add_library(dm_stimresponse MODULE
            ClassEditor.cpp
            CustomStimEditor.cpp
            EffectArgumentItem.cpp
            EffectEditor.cpp
            plugin.cpp
            ResponseEditor.cpp
            ResponseEffect.cpp
            ResponseEffectTypes.cpp
            SREntity.cpp
            SRPropertyLoader.cpp
            SRPropertyRemover.cpp
            SRPropertySaver.cpp
            StimEditor.cpp
            StimResponse.cpp
            StimResponseEditor.cpp
            StimTypes.cpp)
target_compile_options(dm_stimresponse PUBLIC ${SIGC_CFLAGS})
target_link_libraries(dm_stimresponse PUBLIC wxutil)

# Enable precompiled header for dm_stimresponse
if (${CMAKE_VERSION} VERSION_GREATER_EQUAL "3.16.0")
target_precompile_headers(dm_stimresponse PRIVATE "precompiled.h")
endif()

=== plugins/script/CMakeLists.txt ===
add_library(script MODULE
            interfaces/BrushInterface.cpp
            interfaces/CameraInterface.cpp
            interfaces/CommandSystemInterface.cpp
            interfaces/DialogInterface.cpp
            interfaces/EClassInterface.cpp
            interfaces/EntityInterface.cpp
            interfaces/FileSystemInterface.cpp
            interfaces/GameInterface.cpp
            interfaces/GridInterface.cpp
            interfaces/LayerInterface.cpp
            interfaces/MapInterface.cpp
            interfaces/MathInterface.cpp
            interfaces/ModelInterface.cpp
            interfaces/PatchInterface.cpp
            interfaces/RadiantInterface.cpp
            interfaces/SceneGraphInterface.cpp
            interfaces/SelectionGroupInterface.cpp
            interfaces/SelectionInterface.cpp
            interfaces/SelectionSetInterface.cpp
            interfaces/ShaderSystemInterface.cpp
            interfaces/SkinInterface.cpp
            interfaces/SoundInterface.cpp
            PythonModule.cpp
            SceneNodeBuffer.cpp
            ScriptCommand.cpp
            ScriptingSystem.cpp
            ScriptModule.cpp)
set_target_properties(script PROPERTIES CXX_VISIBILITY_PRESET hidden)
target_compile_options(script PUBLIC ${SIGC_CFLAGS})
target_include_directories(script SYSTEM PUBLIC
                           ${CMAKE_SOURCE_DIR}/libs/pybind
                           ${Python_INCLUDE_DIRS})
target_link_libraries(script PUBLIC
                      math
                      ${Python_LIBRARIES} ${SIGC_LIBRARIES})

# Enable precompiled header for script plugin
if (${CMAKE_VERSION} VERSION_GREATER_EQUAL "3.16.0")
target_precompile_headers(script PRIVATE "precompiled.h")
endif()

=== plugins/sound/CMakeLists.txt ===
add_library(sound MODULE
            sound.cpp
            SoundManager.cpp
            SoundPlayer.cpp
            SoundShader.cpp)
target_compile_options(sound PUBLIC ${SIGC_CFLAGS})
target_link_libraries(sound PUBLIC wxutil ${AL_LIBRARIES} ${VORBIS_LIBRARIES})

=== debian/changelog ===
darkradiant (2.14.0-3) unstable; urgency=medium

  * Make build reproducible: BuildId differences triggered by RPATH"
    Thanks to Vagrant for the patch! (Closes: #1004004)

 -- Tobias Frost <tobi@debian.org>  Sat, 22 Jan 2022 10:12:38 +0100

darkradiant (2.14.0-2) unstable; urgency=medium

  * New patch to fix FTBFS on 32 bit archs. (Closes: #1001110)

 -- Tobias Frost <tobi@debian.org>  Sat, 04 Dec 2021 15:31:33 +0100

darkradiant (2.14.0-1) unstable; urgency=medium

  * New upstream release.
    * Update d/copyright to reflect adding of OpenFBX.
      (vendored library, as intented by library upstream)
  * Update S-V to 4.6.0 -- no changes required.

 -- Tobias Frost <tobi@debian.org>  Sat, 04 Dec 2021 10:17:14 +0100

darkradiant (2.13.0-1) unstable; urgency=medium

  * New upstream release.
    - New version requires B-D on libeigen3-dev.
    - Update d/copyright to reflect copyright on new files.
  * Remove windows binary in d/clean and add lintian override for this.
  * Don't install the .gitignore file in the repository.
  * Salsa-CI: Disable crossbuild_arm64

 -- Tobias Frost <tobi@debian.org>  Wed, 25 Aug 2021 20:08:39 +0200

=== debian/control ===
Source: darkradiant
Section: graphics
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Tobias Frost <tobi@debian.org>
Build-Depends: asciidoctor,
               cmake,
               debhelper-compat (= 13),
               gettext,
               libalut-dev,
               libboost-dev,
               libboost-filesystem-dev,
               libboost-python-dev,
               libboost-regex-dev,
               libboost-serialization-dev,
               libboost-test-dev,
               libeigen3-dev,
               libftgl-dev,
               libglew-dev,
               libgtkglextmm-x11-1.2-dev,
               libgtkmm-2.4-dev,
               libjpeg-dev,
               libopenal-dev,
               libpython3-dev,
               libvorbis-dev,
               libwxbase3.0-dev,
               libwxgtk3.0-gtk3-dev (>= 3.0.4+dfsg-10),
               libxml2-dev,
               pybind11-dev
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: http://darkradiant.sourceforge.net/
Vcs-Browser: https://salsa.debian.org/games-team/darkradiant
Vcs-Git: https://salsa.debian.org/games-team/darkradiant.git

Package: darkradiant
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, fonts-freefont-ttf
Recommends: darkradiant-plugins-darkmod
Multi-Arch: foreign
Description: Level design toolchain for DOOM3 and The Dark Mod
 DarkRadiant is a 3D map and level editor for games based on the idtech4
 engines. The software is based on GtkRadiant and focuses on the games DOOM3 and
 The Dark Mod. Other games based on the same engine, like Quake 4, might be
 editable too, but are not explicitly supported.
 .
 Darkradiant can also be used to create free contents for the GPL'ed version of
 the DOOM3 engine.

Package: darkradiant-plugins-darkmod
Architecture: any
Multi-Arch: same
Depends: darkradiant (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: DarkMod-specific plugins for DarkRadiant
 DarkRadiant is a 3D map and level editor for games based on the idtech4
 engines. The software is based on GtkRadiant and focuses on the games DOOM3 and
 The Dark Mod. Other games based on the same engine, like Quake 4, might be
 editable too, but are not explicitly supported.
 .
 This package provides the plugins necessary to edit levels for The Dark Mod.

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON

override_dh_auto_build:
	dh_auto_build
	cd doc && asciidoctor -a stylesheet=manual.css manual.adoc

override_dh_makeshlibs:
	# do not call ldconfig in postinst/postrm
	dh_makeshlibs --noscripts

override_dh_install:
	dh_install -X.gitignore

override_dh_missing:
	dh_missing --fail-missing
